メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
Get a contract by ID
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 1,
  "name": "Monthly Contract",
  "serviceId": 123,
  "serviceName": "GitHub",
  "workspaceId": 456,
  "workspaceName": "Production Workspace",
  "dueDate": "2023-01-01T00:00:00.000Z",
  "nextDueDate": "2023-02-01T00:00:00.000Z",
  "note": "Contract notes"
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
serviceId
number
必須
contractId
number
必須

レスポンス

200 - application/json
id
number
必須
read-only
:

1

name
string
必須
read-only
:

"Monthly Contract"

serviceId
number
必須
read-only
:

123

serviceName
string
必須
read-only
:

"GitHub"

workspaceId
number | null
必須
read-only
:

456

workspaceName
string | null
必須
read-only
:

"Production Workspace"

dueDate
string<date-time>
必須
read-only
:

"2023-01-01T00:00:00.000Z"

nextDueDate
string<date-time> | null
必須
read-only
:

"2023-02-01T00:00:00.000Z"

note
string | null
必須
read-only
:

"Contract notes"

最終更新日 2026年7月14日